commit:     19f51bb7ada02c7fe03d9d4b9c775d905a96bf00
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 22 11:51:58 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Dec 22 11:51:58 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19f51bb7

media-plugins/gmpc-magnatune: Port to EAPI 7

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../gmpc-magnatune/gmpc-magnatune-11.8.16.ebuild   | 25 ++++++++++++++--------
 1 file changed, 16 insertions(+), 9 deletions(-)

diff --git a/media-plugins/gmpc-magnatune/gmpc-magnatune-11.8.16.ebuild 
b/media-plugins/gmpc-magnatune/gmpc-magnatune-11.8.16.ebuild
index 1a5b81be461..179215bf472 100644
--- a/media-plugins/gmpc-magnatune/gmpc-magnatune-11.8.16.ebuild
+++ b/media-plugins/gmpc-magnatune/gmpc-magnatune-11.8.16.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
+EAPI=7
 
 DESCRIPTION="This plugin allows you to browse and preview available albums on 
magnatune.com"
 HOMEPAGE="http://gmpc.wikia.com/wiki/GMPC_PLUGIN_MAGNATUNE";
@@ -12,15 +12,20 @@ SLOT="0"
 KEYWORDS="amd64 ppc x86"
 IUSE="nls"
 
-RDEPEND=">=media-sound/gmpc-${PV}
-       dev-libs/libxml2
+RDEPEND="
+       >=media-sound/gmpc-${PV}
+       dev-libs/libxml2:2
        dev-db/sqlite:3
        >=gnome-base/libglade-2
-       || ( x11-libs/gdk-pixbuf:2[jpeg] x11-libs/gtk+:2[jpeg] )"
-DEPEND="${RDEPEND}
+       x11-libs/gdk-pixbuf:2[jpeg]
+       x11-libs/gtk+:2"
+DEPEND="${RDEPEND}"
+BDEPEND="
        virtual/pkgconfig
-       nls? ( dev-util/intltool
-               sys-devel/gettext )"
+       nls? (
+               dev-util/intltool
+               sys-devel/gettext
+       )"
 
 src_configure() {
        econf $(use_enable nls)
@@ -28,5 +33,7 @@ src_configure() {
 
 src_install() {
        default
-       find "${ED}" -name "*.la" -exec rm {} + || die
+
+       # plugins only
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to